Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMultipleInputOutputFilter Class Reference

`#include <vtkImageMultipleInputOutputFilter.h>`

Inheritance diagram for vtkImageMultipleInputOutputFilter:

[legend]
Collaboration diagram for vtkImageMultipleInputOutputFilter:

[legend]
List of all members.

## Detailed Description

Generic filter that has N inputs.

Date:
  2002/08/30 15:27:28

Revision:
  1.12

vtkImageMultipleInputOutputFilter is a super class for filters that have any number of inputs. Steaming is not available in this class yet.

See also:
  vtkImageToImageFilter vtkImageInPlaceFilter vtkImageTwoInputFilter vtkImageTwoOutputFilter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (88%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImageMultipleInputOutputFilter.cxx)`
  - .`h` (`/Filtering/vtkImageMultipleInputOutputFilter.h)`

Definition at line 47 of file vtkImageMultipleInputOutputFilter.h.

## Public Types
typedef vtkImageMultipleInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageData * | GetOutput (int num)
vtkImageData * | GetOutput ()
virtual void | ThreadedExecute (vtkImageData **inDatas, vtkImageData **outDatas, int extent[6], int threadId)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageMultipleInputOutputFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMultipleInputOutputFilter ()
| ~vtkImageMultipleInputOutputFilter ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
virtual void | ComputeInputUpdateExtent (int inExt[6], int outExt[6], int whichInput)
void | ExecuteData (vtkDataObject *out)
virtual void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int threadId)
virtual void | ExecuteInformation (vtkImageData **, vtkImageData *)
void | ExecuteInformation ()
virtual void | ExecuteInformation (vtkImageData **, vtkImageData **)

## Member Typedef Documentation

typedef vtkImageMultipleInputFilter vtkImageMultipleInputOutputFilter::Superclass

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 50 of file vtkImageMultipleInputOutputFilter.h.

## Constructor & Destructor Documentation

vtkImageMultipleInputOutputFilter::vtkImageMultipleInputOutputFilter | ( |  | ) | `[protected]`

vtkImageMultipleInputOutputFilter::~vtkImageMultipleInputOutputFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImageMultipleInputOutputFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

int vtkImageMultipleInputOutputFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter.

virtual int vtkImageMultipleInputOutputFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMultipleInputFilter.

vtkImageMultipleInputOutputFilter* vtkImageMultipleInputOutputFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageMultipleInputOutputFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageMultipleInputFilter.

vtkImageData* vtkImageMultipleInputOutputFilter::GetOutput | ( | int | num | ) |

| Get one input to this filter. Reimplemented from vtkImageSource.

vtkImageData* vtkImageMultipleInputOutputFilter::GetOutput | ( |  | ) |

| Get one input to this filter. Reimplemented from vtkImageSource.

virtual void vtkImageMultipleInputOutputFilter::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData ** | outDatas,
|  | int | extent[6],
|  | int | threadId
| ) | `[virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function.

void vtkImageMultipleInputOutputFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkImageMultipleInputFilter.

virtual void vtkImageMultipleInputOutputFilter::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6],
|  | int | whichInput
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageMultipleInputOutputFilter::ExecuteData | ( | vtkDataObject * | out | ) | `[protected]`

| Reimplemented from vtkImageMultipleInputFilter.

virtual void vtkImageMultipleInputOutputFilter::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | threadId
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

virtual void vtkImageMultipleInputOutputFilter::ExecuteInformation | ( | vtkImageData ** | ,
|  | vtkImageData * |
| ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 85 of file vtkImageMultipleInputOutputFilter.h.

void vtkImageMultipleInputOutputFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

virtual void vtkImageMultipleInputOutputFilter::ExecuteInformation | ( | vtkImageData ** | ,
|  | vtkImageData ** |
| ) | `[inline, protected, virtual]`

| Definition at line 90 of file vtkImageMultipleInputOutputFilter.h.

The documentation for this class was generated from the following file:

- Filtering/vtkImageMultipleInputOutputFilter.h